Subject: Re: [MMUSIC] Media type "image" is missing in rfc4566bis

From: Paul Kyzivat <[email-masked]>
Date: Mon, 1 Aug 2016 11:25:28 -0400

This sort of problem seems to come up often with documents that 
establish IANA registries, and the successors to such documents.

Initially, the "founding" document contains definitions of all the 
possible values. People get lazy, and assume that they don't need to 
look at the registry for the complete list.

Later, when a bis document is created, it isn't clear how best to carry 
on. The registry contains references to the old (about to be obsolete) 
document for the original values. You want to ensure that the registry 
is revised to refer to the bis document for the values that were defined 
in its ancestor. But should the bis also be updated to mention all the 
then-defined values in the registry? I don't think that is necessary. It 
will simply encourage people to assume (wrongly) that the bis is 
authoritative.

I suggest we just change the language in this section:

OLD:

    <media>  is the media type.  Currently defined media are "audio",
       "video", "text", "application", and "message", although this list
       may be extended in the future (see Section 8).

NEW:

    <media>  is the media type.  This document defines the values
       "audio", "video", "text", "application", and "message". This list
       may be extended in the future (see Section 8).

	Thanks,
	Paul

On 7/30/16 2:18 AM, Gunnar Hellström wrote:
> I noted a small issue in rfc4566bis:
>
> In section 5.14 of draft-ietf-mmusic-rfc4566bis-17, a paragraph defining
> media says:
>
> -----------------current text in 5.14------------------------------------
>
> <media> is the media type. Currently defined media are "audio", "video",
> "text", "application", and "message", although this list may be extended
> in the future (see Section 8).
>
> -------------------------------------------------------------------------------
>
> The "image" media is also defined and should be included in this list.
> It was registered by RFC 6466.
>
> So, the paragraph should read:
>
> --------------proposed modified text for 5.14------------------------------
>
> <media> is the media type. Currently defined media are "audio", "video",
> "text", "application", "message", and "image", although this list may be
> extended in the future (see Section 8).
>
> -------------end of change
> 1-------------------------------------------------------------------
>
> It should also be considered if the fact that "image" is a defined media
> type should be reflected in section 8.2.1,  where it is currently said: "
>
> --------------------------current text in
> 8.2.1-------------------------------------------
>
>    This memo registers the media types "audio", "video", "text",
>    "application", and "message".
> -----------------------------------------------------------
>
> The action in section 8.2.1 depends on what the plans are for IANA register of rfc4566bis values, but somehow "image" should be mentioned also in section 8.2.1. If the registration of the other media types for sdp are still regarded as registered by RFC 4566, the sentence is proposed to read:
>
> ------------------------Proposed replacement----------------------
> Registered media types at the publication of this memo are "audio", "video", "text", "application", "message", and "image".
> -----------------end of change 2-------------------------------------------------
>
> (while if registration of the basic set of media will be regarded to be moved to have been made by rfc4566bis, then another wording is needed.)
>
> Regards
> Gunnar
>
> --
> -----------------------------------------
> Gunnar Hellström
> Omnitor
> [email-masked]
>
>
>
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic
>

---

From: Gunnar Hellström <[email-masked]>
Date: Mon, 1 Aug 2016 22:41:47 +0200

Den 2016-08-01 kl. 17:25, skrev Paul Kyzivat:
> Later, when a bis document is created, it isn't clear how best to 
> carry on. The registry contains references to the old (about to be 
> obsolete) document for the original values. You want to ensure that 
> the registry is revised to refer to the bis document for the values 
> that were defined in its ancestor. But should the bis also be updated 
> to mention all the then-defined values in the registry? I don't think 
> that is necessary. It will simply encourage people to assume (wrongly) 
> that the bis is authoritative.
>
GH: Yes, makes sense, except that the list is already extended by 
"image". I suggest the last sentence to read:

"This list is extended and may be further extended by other memos 
registering media types in the future (see Section 8).

The list of media types also occur in the syntax chapter preceded by 
"typically". Please propose a solution for that as well. Maybe just keep 
as is.
>> The action in section 8.2.1 depends on what the plans are for IANA 
>> register of rfc4566bis values, but somehow "image" should be 
>> mentioned also in section 8.2.1. If the registration of the other 
>> media types for sdp are still regarded as registered by RFC 4566, the 
>> sentence is proposed to read:
>>
>> Registered media types at the publication of this memo are "audio", 
>> "video", "text", "application", "message", and "image".
>> -----------------end of change 
>> 2-------------------------------------------------
>>
>> (while if registration of the basic set of media will be regarded to 
>> be moved to have been made by rfc4566bis, then another wording is 
>> needed.)
>>
>> Regards
>> Gunnar
>>
>> --

---

From: Paul Kyzivat <[email-masked]>
Date: Mon, 1 Aug 2016 17:58:39 -0400

Lets see if the approach is acceptable, and then fine tune the language.

	Thanks,
	Paul